POWERLINE-CONFIG(1)

NAME
powerline-config - Script used to obtain powerline configuration.

SYNOPSIS

        powerline-config [-pPATH]… tmux ACTION ( [-s |n )]
        powerline-config [-pPATH]… shell ACTION [COMPONENT] [-sSHELL]

DESCRIPTION

    -p, --config-path PATH
        Path to configuration directory. If it is present then configuration files will only be seeked in the provided path. May be provided multiple times to search in a list of directories.

    -h, --help
        Display help and exit.

  Arguments specific to tmux subcommand

    ACTION
        If action is source then version-specific tmux configuration files are sourced, if it is setenv then special (prefixed with _POWERLINE) tmux global environment variables are filled with data from powerline configuration. Action setup is just doing setenv then source.

    -s, --source
        When using setup: always use configuration file sourcing. By default this is determined automatically based on tmux version: this is the default for tmux 1.8 and below.

    -n, --no-source
        When using setup: in place of sourcing directly execute configuration files. That is, read each needed powerline-specific configuration file, substitute $_POWERLINE_… variables with appropriate values and run tmux config line. This is the default behaviour for tmux 1.9 and above.

    -h, --help
        Display help and exit.

  Arguments specific to shell subcommand

    ACTION
        If action is command then preferred powerline command is output, if it is uses then powerline-config script will exit with 1 if specified component is disabled and 0 otherwise.

    COMPONENT
        Only applicable for uses subcommand: makes powerline-config exit with 0 if specific component is enabled and with 1 otherwise. tmux component stands for tmux bindings (e.g. those that notify tmux about current directory changes), prompt component stands for shell prompt.

    -s, --shell SHELL
        Shell for which query is run

    -h, --help
        Display help and exit.

AUTHOR

Written by Kim Silkebækken, Nikolay Pavlov, Kovid Goyal and contributors. The glyphs in the font patcher are created by Fabrizio Schiavi.

REPORTING BUGS

Report powerline-config bugs to https://github.com/powerline/powerline/issues.

SEE ALSO

powerline(1)